summaryrefslogtreecommitdiffstats
path: root/graphics/qrencode/qrencode.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/qrencode/qrencode.SlackBuild')
-rw-r--r--graphics/qrencode/qrencode.SlackBuild14
1 files changed, 9 insertions, 5 deletions
diff --git a/graphics/qrencode/qrencode.SlackBuild b/graphics/qrencode/qrencode.SlackBuild
index 8c05c6f37c..58272c93eb 100644
--- a/graphics/qrencode/qrencode.SlackBuild
+++ b/graphics/qrencode/qrencode.SlackBuild
@@ -3,6 +3,7 @@
# SlackBuild Script for qrencode
# Copyright 2012 Matthew "mfillpot" Fillpot
+# Revised 2018 Lenard Spencer
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +24,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=qrencode
-VERSION=${VERSION:-3.4.2}
+VERSION=${VERSION:-4.0.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -60,7 +61,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -83,6 +84,9 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
+# Do not ship .la files
+find $PKG/usr/lib${LIBDIRSUFFIX} -name *.la -delete || true
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true